# saga::rpc::parameter Class Reference

The parameter class inherits the saga::buffer class. More...

`#include <parameter.hpp>`

Inheritance diagram for saga::rpc::parameter:

[legend]

List of all members.

## Public Member Functions
| parameter (void *data=0, saga::ssize_t size=-1, io_mode mode=In, buffer_deleter cb=default_buffer_deleter)
| Creates a parameter instance.
| ~parameter ()
| Destroys a parameter instance.
io_mode | get_mode () const
| FIXME: spec says: should be set_io_mode.

## Detailed Description

The parameter class inherits the saga::buffer class.

It also adds one additional state attribute: io mode, which is read-only. With that addition, the new class can conveniently be used to define input, inout and output parameters for RPC calls.

## Constructor & Destructor Documentation

saga::rpc::parameter::parameter | ( | void * | data = `0`,
|  | saga::ssize_t | size = `-1`,
|  | io_mode | mode = `In`,
|  | buffer_deleter | cb = `default_buffer_deleter` |
| ) |  |  |

Creates a parameter instance.

Returns:
  The newly created parameter.

saga::rpc::parameter::~parameter | ( |  | ) |

Destroys a parameter instance.

## Member Function Documentation

saga::rpc::io_mode saga::rpc::parameter::get_mode | ( |  | ) | const

FIXME: spec says: should be set_io_mode.

The documentation for this class was generated from the following files:

- parameter.hpp
- parameter.cpp